Index: EMarket.py
===================================================================
RCS file: /usr/cvsroot/zopepub/lib/python/Products/EMarket/EMarket.py,v
retrieving revision 1.83
retrieving revision 1.84
diff -c -r1.83 -r1.84
*** EMarket.py	2000/12/11 13:24:13	1.83
--- EMarket.py	2001/11/13 01:13:39	1.84
***************
*** 18,26 ****
  
  '''
  
! __version__='$Revision: 1.83 $'[11:-2]
  
! from Globals import HTMLFile, MessageDialog, Persistent, DateTime
  from Persistence import PersistentMapping
  import OFS.SimpleItem, Acquisition, AccessControl.Role
  import OFS.Folder, OFS.Document
--- 18,27 ----
  
  '''
  
! __version__='$Revision: 1.84 $'[11:-2]
  
! from Globals import HTMLFile, MessageDialog, Persistent
! import DateTime
  from Persistence import PersistentMapping
  import OFS.SimpleItem, Acquisition, AccessControl.Role
  import OFS.Folder, OFS.Document
***************
*** 327,336 ****
                                     smtp_host = smtp_host,
                                     localhost = localhost)
  
!     Products.ZCatalog.ZCatalog.manage_addZCatalog(newMainF,'Catalog',
!                                                   'Market Items Catalog')
  
!     newMainF.Catalog._catalog.addIndex('isAvailable','FieldIndex')
  
      Products.ExternalMethod.ExternalMethod.manage_addExternalMethod(newMainF,
                                                                      'setObjectAttrs',
--- 328,337 ----
                                     smtp_host = smtp_host,
                                     localhost = localhost)
  
!     #Products.ZCatalog.ZCatalog.manage_addZCatalog(newMainF,'Catalog',
!     #                                              'Market Items Catalog')
  
!     #newMainF.Catalog._catalog.addIndex('isAvailable','FieldIndex')
  
      Products.ExternalMethod.ExternalMethod.manage_addExternalMethod(newMainF,
                                                                      'setObjectAttrs',
Index: MarketItemManager.py
===================================================================
RCS file: /usr/cvsroot/zopepub/lib/python/Products/EMarket/MarketItemManager.py,v
retrieving revision 1.5
retrieving revision 1.6
diff -c -r1.5 -r1.6
*** MarketItemManager.py	2000/12/03 23:02:20	1.5
--- MarketItemManager.py	2001/11/13 01:13:41	1.6
***************
*** 1,8 ****
  __doc__='''MarketItem product implementation'''
  
! __version__='$Revision: 1.5 $'[11:-2]
  
! from Globals import HTMLFile, MessageDialog, Persistent, DateTime
  from Products import ZPatterns
  import OFS.Folder
  import time, string
--- 1,9 ----
  __doc__='''MarketItem product implementation'''
  
! __version__='$Revision: 1.6 $'[11:-2]
  
! from Globals import HTMLFile, MessageDialog, Persistent
! import DateTime
  from Products import ZPatterns
  import OFS.Folder
  import time, string
Index: NotationManager.py
===================================================================
RCS file: /usr/cvsroot/zopepub/lib/python/Products/EMarket/NotationManager.py,v
retrieving revision 1.1
retrieving revision 1.2
diff -c -r1.1 -r1.2
*** NotationManager.py	2000/10/01 21:02:11	1.1
--- NotationManager.py	2001/11/13 01:13:41	1.2
***************
*** 1,8 ****
  __doc__='''Notations object  implementation'''
  
! __version__='$Revision: 1.1 $'[11:-2]
  
! from Globals import Persistent, DateTime
  
  import Persistence
  PersistentMapping = Persistence.PersistentMapping
--- 1,9 ----
  __doc__='''Notations object  implementation'''
  
! __version__='$Revision: 1.2 $'[11:-2]
  
! from Globals import Persistent
! import DateTime
  
  import Persistence
  PersistentMapping = Persistence.PersistentMapping
Index: TransactionManager.py
===================================================================
RCS file: /usr/cvsroot/zopepub/lib/python/Products/EMarket/TransactionManager.py,v
retrieving revision 1.1
retrieving revision 1.2
diff -c -r1.1 -r1.2
*** TransactionManager.py	2000/10/01 21:02:11	1.1
--- TransactionManager.py	2001/11/13 01:13:41	1.2
***************
*** 1,8 ****
  __doc__='''Transaction  product implementation'''
  
! __version__='$Revision: 1.1 $'[11:-2]
  
! from Globals import HTMLFile, MessageDialog, Persistent, DateTime
  import OFS.SimpleItem, Acquisition, AccessControl.Role
  import OFS.Folder
  import time, string
--- 1,10 ----
  __doc__='''Transaction  product implementation'''
  
! __version__='$Revision: 1.2 $'[11:-2]
  
! from Globals import HTMLFile, MessageDialog, Persistent
! 
! import DateTime
  import OFS.SimpleItem, Acquisition, AccessControl.Role
  import OFS.Folder
  import time, string
